Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.leafset.testing
Class MergeTest

    java.lang.Object
      rice.pastry.leafset.testing.MergeTest

    public class MergeTest

extends java.lang.Object

Nested Class Summary
`static class` | `MergeTest.TestNodeHandle`

Constructor Summary
`MergeTest()`

Method Summary
`static void` | `flip(NodeHandle[] nds)`
`static NodeHandle[]` | `getHandles(java.lang.String str)` Input of the form: <0xD74D4F..><0xD7B075..><0xD98A9D..><0xDAC7F0..><0xDB39A6..>
`static LeafSet` | `getLeafSet(java.lang.String str)` Input of the form: <0xD74D4F..><0xD7B075..><0xD98A9D..><0xDAC7F0..><0xDB39A6..><0xDD5A73..><0xE050B3..><0xE0B735..><0xE33A04..><0xE48D40..><0xE678CB..><0xE73F09..> [ <0xEA5EAF..> ] <0xEBC2BB..><0xEBD2CB..><0xEF7F43..><0xF09044..><0xF10B96..><0xF33C36..><0xF64DA9..><0xF66CD9..><0xF9E251..><0xFB7F46..><0xFC1B02..><0xFC4718..>
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeTest

    public MergeTest()

Method Detail

### getLeafSet

    public static LeafSet getLeafSet(java.lang.String str)

  Input of the form: <0xD74D4F..><0xD7B075..><0xD98A9D..><0xDAC7F0..><0xDB39A6..><0xDD5A73..><0xE050B3..><0xE0B735..><0xE33A04..><0xE48D40..><0xE678CB..><0xE73F09..> [ <0xEA5EAF..> ] <0xEBC2BB..><0xEBD2CB..><0xEF7F43..><0xF09044..><0xF10B96..><0xF33C36..><0xF64DA9..><0xF66CD9..><0xF9E251..><0xFB7F46..><0xFC1B02..><0xFC4718..>

  Parameters:
    `str` -
  Returns:

### flip

    public static void flip(NodeHandle[] nds)

### getHandles

    public static NodeHandle[] getHandles(java.lang.String str)

  Input of the form: <0xD74D4F..><0xD7B075..><0xD98A9D..><0xDAC7F0..><0xDB39A6..>

  Parameters:
    `str` -
  Returns:

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.